## org.eclipse.datatools.connectivity.sqm.core.connection
Interface ConnectionFilter

All Superinterfaces:
  java.io.Serializable

    public interface ConnectionFilter

extends java.io.Serializable

Public ConnectionFilter interface, extended internally

Field Summary
`static java.lang.String` `ALIAS_FILTER`
`static java.lang.String` `CATALOG_FILTER`
`static java.lang.String` `DISCOVERED_SERVER_FILTER`
`static java.lang.String` `FILTER_SEPARATOR`
`static java.lang.String` `FILTER_SETTINGS_PROFILE_EXTENSION_ID` The profile extension ID used to store filter settings.
`static java.lang.String` `JAR_FILTER`
`static java.lang.String` `MQT_FILTER`
`static java.lang.String` `NICKNAME_FILTER`
`static java.lang.String` `OPERATOR_IN`
`static java.lang.String` `OPERATOR_LIKE`
`static java.lang.String` `OPERATOR_NOT_IN`
`static java.lang.String` `OPERATOR_NOT_LIKE`
`static java.lang.String` `REMOTE_SCHEMA_FILTER`
`static java.lang.String` `REMOTE_SERVER_FILTER`
`static java.lang.String` `REMOTE_TABLE_FILTER`
`static java.lang.String` `SCHEMA_FILTER`
`static java.lang.String` `SEQUENCE_FILTER`
`static java.lang.String` `STORED_PROCEDURE_FILTER`
`static java.lang.String` `TABLE_FILTER`
`static java.lang.String` `USER_DEFINED_FUNCTION_FILTER`
`static java.lang.String` `USER_DEFINED_TYPE_FILTER`
`static java.lang.String` `VIEW_FILTER`
`static java.lang.String` `XML_SCHEMA_DOC_FILTER`
`static java.lang.String` `XSR_OBJECTS_FILTER`

Method Summary
`java.lang.String` `getOperator()` Return only the operator part of the filter expression
`java.lang.String` `getPattern()` Return only the pattern part of the filter expression
`java.lang.String[]` `getPatternElements()` Return the elements of only the pattern part of the filter expression
`java.lang.String` `getPredicate()` Return the filter expression.
`java.util.ArrayList` `getPredicatesCollection()` Return all the predicates
`boolean` `isFiltered(java.lang.String name)`
`boolean` `isMeetsAllConditions()` Returns if the conditions are ORed or ANDed
`boolean` `isOperatorExclusive()` Return whether or not the operator equals "NOT IN"
`boolean` `isOperatorInclusive()` Return whether or not the operator equals "IN"
`boolean` `isValid(java.lang.String predicate)` Return if the filter expression is valid

Field Detail

### OPERATOR_LIKE

    static final java.lang.String OPERATOR_LIKE

See Also:
  Constant Field Values

### OPERATOR_NOT_LIKE

    static final java.lang.String OPERATOR_NOT_LIKE

See Also:
  Constant Field Values

### OPERATOR_IN

    static final java.lang.String OPERATOR_IN

See Also:
  Constant Field Values

### OPERATOR_NOT_IN

    static final java.lang.String OPERATOR_NOT_IN

See Also:
  Constant Field Values

### FILTER_SETTINGS_PROFILE_EXTENSION_ID

    static final java.lang.String FILTER_SETTINGS_PROFILE_EXTENSION_ID

  The profile extension ID used to store filter settings.

  See Also:
    Constant Field Values

### FILTER_SEPARATOR

    static final java.lang.String FILTER_SEPARATOR

See Also:
  Constant Field Values

### CATALOG_FILTER

    static final java.lang.String CATALOG_FILTER

See Also:
  Constant Field Values

### SCHEMA_FILTER

    static final java.lang.String SCHEMA_FILTER

See Also:
  Constant Field Values

### TABLE_FILTER

    static final java.lang.String TABLE_FILTER

See Also:
  Constant Field Values

### VIEW_FILTER

    static final java.lang.String VIEW_FILTER

See Also:
  Constant Field Values

### ALIAS_FILTER

    static final java.lang.String ALIAS_FILTER

See Also:
  Constant Field Values

### STORED_PROCEDURE_FILTER

    static final java.lang.String STORED_PROCEDURE_FILTER

See Also:
  Constant Field Values

### JAR_FILTER

    static final java.lang.String JAR_FILTER

See Also:
  Constant Field Values

### USER_DEFINED_FUNCTION_FILTER

    static final java.lang.String USER_DEFINED_FUNCTION_FILTER

See Also:
  Constant Field Values

### SEQUENCE_FILTER

    static final java.lang.String SEQUENCE_FILTER

See Also:
  Constant Field Values

### USER_DEFINED_TYPE_FILTER

    static final java.lang.String USER_DEFINED_TYPE_FILTER

See Also:
  Constant Field Values

### NICKNAME_FILTER

    static final java.lang.String NICKNAME_FILTER

See Also:
  Constant Field Values

### MQT_FILTER

    static final java.lang.String MQT_FILTER

See Also:
  Constant Field Values

### REMOTE_SERVER_FILTER

    static final java.lang.String REMOTE_SERVER_FILTER

See Also:
  Constant Field Values

### REMOTE_SCHEMA_FILTER

    static final java.lang.String REMOTE_SCHEMA_FILTER

See Also:
  Constant Field Values

### REMOTE_TABLE_FILTER

    static final java.lang.String REMOTE_TABLE_FILTER

See Also:
  Constant Field Values

### DISCOVERED_SERVER_FILTER

    static final java.lang.String DISCOVERED_SERVER_FILTER

See Also:
  Constant Field Values

### XSR_OBJECTS_FILTER

    static final java.lang.String XSR_OBJECTS_FILTER

See Also:
  Constant Field Values

### XML_SCHEMA_DOC_FILTER

    static final java.lang.String XML_SCHEMA_DOC_FILTER

See Also:
  Constant Field Values

Method Detail

### getPredicate

    java.lang.String getPredicate()

  Return the filter expression.

### getPredicatesCollection

    java.util.ArrayList getPredicatesCollection()

  Return all the predicates

### isValid

    boolean isValid(java.lang.String predicate)

  Return if the filter expression is valid

### getPattern

    java.lang.String getPattern()

  Return only the pattern part of the filter expression

### getPatternElements

    java.lang.String[] getPatternElements()

  Return the elements of only the pattern part of the filter expression

### isOperatorInclusive

    boolean isOperatorInclusive()

  Return whether or not the operator equals "IN"

### isOperatorExclusive

    boolean isOperatorExclusive()

  Return whether or not the operator equals "NOT IN"

### getOperator

    java.lang.String getOperator()

  Return only the operator part of the filter expression

### isMeetsAllConditions

    boolean isMeetsAllConditions()

  Returns if the conditions are ORed or ANDed

### isFiltered

    boolean isFiltered(java.lang.String name)

  Parameters:
    `name` - the name of the object to check
  Returns:
    true if the object should be filtered

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.